import java.applet.Applet;

import quadbase.reportorganizer.organizerAPI.IUser;
import quadbase.reportorganizer.organizerAPI.QbOrganizer;
import quadbase.reportorganizer.organizerAPI.UserGroupProperties;

public class CreatingUserGroup extends Applet {
	static final long serialVersionUID = 1;
	// set following constants, your EDAB/ERES server must be runnning!
	static final String ServletRunner = "http://localhost:8080";
	static final String ServletContext = "EDAB/servlet";

	public static void main(String[] args) {
		try {
			CreatingUserGroup organizer = new CreatingUserGroup();
			organizer.doCreateUserGroup();
		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		doCreateUserGroup();
	}

	void doCreateUserGroup() {

		QbOrganizer.setServletRunner(ServletRunner);
		QbOrganizer.setServletContext(ServletContext);

		try {
			QbOrganizer organizer = new QbOrganizer(null, "admin", "admin");

			UserGroupProperties userGroupProperties = new UserGroupProperties(organizer);

			userGroupProperties.createUser("jdoe", "John Doe", "jDoe@somedomain.com", "123",
					IUser.ROLE_DESIGNER);

			userGroupProperties.createGroup("testinggroup", "For testing purpose only",
					new String[] { "admin", "jDoe" });
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}

}
